%define section free

Summary:        A Free Java-PDF library
Name:           itext
Version:        1.3
Release:        3%{?dist}
License:        MPL/LGPL
URL:            http://www.lowagie.com/iText/
Group:          Development/Libraries
Source0:        itext-src-1.3.tar.gz
Source1:        itext-www-1.3.tar.gz
Source2:        itext-1.3-manifest.mf
Patch0:         itext-escape-jpeg-java-trap.patch
Patch1:         itext-no-javadoc-web-links.patch
BuildRequires:  jpackage-utils >= 0:1.6
BuildRequires:  ant, ant-trax, jaxp_transform_impl
BuildRequires:  dos2unix
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:    java-gcj-compat-devel >= 1.0.31
Requires(post):   java-gcj-compat >= 1.0.31
Requires(postun): java-gcj-compat >= 1.0.31

%description
iText is a library that allows you to generate 
PDF files on the fly. The iText classes are very 
useful for people who need to generate read-only, 
platform independent documents containing text, 
lists, tables and images. The library is especially 
useful in combination with Java(TM) technology-based 
Servlets: The look and feel of HTML is browser 
dependent; with iText and PDF you can control 
exactly how your servlet's output will look.


%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation

%description javadoc
API documentation for the %{name} package.

%package manual
Summary:        Documents for %{name}
Group:          Documentation

%description manual
A programming manual for the %{name} package.

%prep
%setup -c -T -n %{name}
mkdir -p src/META-INF
(cd src
gzip -dc %{SOURCE0} | tar xf -)
cp %{SOURCE2} src/META-INF/MANIFEST.MF
gzip -dc %{SOURCE1} | tar xf -
find . -name "*.jar" -exec rm {} \;
%patch0 -p0
%patch1 -p0

%build
pushd src
export OPT_JAR_LIST="ant/ant-trax jaxp_transform_impl"
ant jar javadoc tutorial lowagie.com
popd

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p build/bin/iText.jar \
      $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

aot-compile-rpm

dos2unix build/lowagie/*.{txt,xml}
dos2unix build/lowagie/ant/*.xml
dos2unix build/lowagie/ant/.ant.properties

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/docs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

# manual
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr build/lowagie/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr build/examples $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr build/tutorial $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p %{_bindir}/rebuild-gcj-db

%postun -p %{_bindir}/rebuild-gcj-db

%files
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}/MPL-1.1.txt
%doc %{_docdir}/%{name}-%{version}/lgpl.txt
%{_javadir}/*
%{_libdir}/gcj/*

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}-%{version}

%files manual
%defattr(0644,root,root,0755)
%doc %{_docdir}/*

# -----------------------------------------------------------------------------

%changelog
* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 1.3-3
 - rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Tue Sep 19 2006 Anthony Green <green@redhat.com> - 1.3-2
- Fix release tag.

* Mon Sep 18 2006 Anthony Green <green@redhat.com> - 1.3-1jpp_9.2
- Rebuild.

* Wed Aug 30 2006 Anthony Green <green@redhat.com> - 1.3-1jpp_9.1
- Rebuild with aot-compile-rpm.

* Tue Jul 25 2006 Anthony Green <green@redhat.com> - 1.3-1jpp_9
- Rebuild with new compiler.

* Tue Feb 28 2006 Anthony Green <green@redhat.com> - 1.3-1jpp_8
- Rebuild with new compiler.

* Mon Jan 17 2006 Anthony Green <green@redhat.com> - 1.3-1jpp_6
- Remove epoch from changelog versions.

* Mon Jan 16 2006 Anthony Green <green@redhat.com> - 1.3-1jpp_5
- Remove empty /usr/share/java/itext.
- Move manual and javadoc packages to Documentation group.
- Add itext-no-javadoc-web-links.patch.

* Mon Jan 16 2006 Anthony Green <green@redhat.com> - 1.3-1jpp_4
- Fixed Group.
- Cleaned up changelog versions.
- Use dos2unix on doc files.
- Don't create unversioned javadoc link.

* Thu Jan 13 2006 Anthony Green <green@redhat.com> - 1.3-1jpp_3
- Remove javadoc %postun, as that should get handled by the fact
  that the file is ghosted.
- Improve javadoc and manual subpackage descriptions.

* Wed Jan  4 2006 Anthony Green <green@redhat.com> - 1.3-1jpp_2
- Add ant-trax and jaxp_transform_impl dependencies.
- Set OPT_JAR_LIST.

* Wed Jan  4 2006 Anthony Green <green@redhat.com> - 1.3-1jpp_1
- Build native code.
- Add patch to remove proprietary jpeg encoding library usage.
- Fix BuildRequires.
- Tweak BuildRoot.

* Thu Aug 26 2005 Ralph Apel <r.apel at r-apel.de> - 1.3-1jpp
- Upgrade to 1.3
- Now one jar only

* Wed Aug 25 2004 Ralph Apel <r.apel at r-apel.de> - 1.02b-2jpp
- Build with ant-1.6.2
- Relax some versioned dependencies

* Fri Feb 27 2004 Ralph Apel <r.apel at r-apel.de> - 1.02b-1jpp
- First JPackage release
